
%global DOMAIN github.com
%global ORG kata-containers
%global PROJECT shim
%global IMPORTNAME %{DOMAIN}/%{ORG}/%{PROJECT}
%if 0%{?suse_version}
%define LIBEXECDIR %{_libdir}
%else
%define LIBEXECDIR %{_libexecdir}
%endif

%undefine _missing_build_ids_terminate_build
Name:         kata-shim
Version:      1.12.1
Release:      2%{?dist}
#   0.20210113.git6cdee84
Vendor:       Oracle America
Summary:      Shim component for Kata containers
Group:        Development/Tools
License:      Apache-2.0
Source0:      %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: git
BuildRequires: golang >= 1.15

%global debug_package %{nil}

%description
As Kata containers are providing VM isolation the host container process reaper cannot monitor and reap the actual container process within that VM. The shim component implements forwarding of all signals the container process reaper decides to send to the container process.

%prep
%setup -q

%build
export GOPATH=$HOME/rpmbuild/BUILD/go/

mkdir -p $HOME/rpmbuild/BUILD/go/src/%{DOMAIN}/%{ORG}
ln -s %{_builddir}/%{name}-%{version} $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make

%install
make install LIBEXECDIR=%{buildroot}%{LIBEXECDIR}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%defattr(-,root,root,-)
%{LIBEXECDIR}/kata-containers
%{LIBEXECDIR}/kata-containers/kata-shim

%changelog
* Tue Mar 23 2021 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.12.1-2
- Golang 1.15.9

* Fri Jan 15 2021 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.12.1-1
- Added Oracle Specific Build Files for kata-shim
